cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
 
Register for the monthly ISE Webinars to learn about ISE configuration and deployment.
Choose one of the topics below to view our ISE Resources to help you on your journey with ISE

This community is for technical, feature, configuration and deployment questions.
For production deployment issues, please contact the TAC! We will not comment or assist with your TAC case in these forums.
Please see How to Ask the Community for Help for other best practices.

1845
Views
1
Helpful
7
Replies
Highlighted

Cisco ISE 2.2 on Ubuntu 16.10 KVM

Can anyone please help me with ISe 2.2 installation on KVM in Ubuntu 16.10...i am getting the following error:

Error: Unsupported hardware detected!

Cisco UDI (Unique Device Identifier) not found on this appliance.

Exiting Installation.

Even after following all required procedure mentioned in installation guides.

Everyone's tags (5)
1 ACCEPTED SOLUTION

Accepted Solutions
Beginner

Re: Cisco ISE 2.2 on Ubuntu 16.10 KVM

This worked for me:

Make sure the below requirement in satisfied if using a non-supported hypervisor:

Dmidecode utility reads from SMBIOS. If the "system-product" string does not contain “KVM”, the readUDI will be unable to determine the type of virtualization and 'validate_platform_info()' in ks.cfg will fail, displaying the following error message.

ERROR: UNSUPPORTED HARDWARE DETECTED!

Just make sure to have the 'KVM' string in the product field of SMBIOS info.

Cisco Identity Services Engine Installation Guide, Release 2.1 - Install ISE on a VMware Virtual Machine [Cisco Identi…

7 REPLIES 7
Cisco Employee

Re: Cisco ISE 2.2 on Ubuntu 16.10 KVM

I'm having the exact same issue installing on RHEV 4.x (latest version).

When running VM resource checkup from the boot menu, the tool states it will not run as "this is not a VM".

Re: Cisco ISE 2.2 on Ubuntu 16.10 KVM

Anyone managed to solve this issue?

Re: Cisco ISE 2.2 on Ubuntu 16.10 KVM

Just tested it on ubuntu 14.04 LTS and it is also not working there...Please if anyone from Cisco help us with this because have a client who is refusing to move from KVM

Cisco Employee

Re: Cisco ISE 2.2 on Ubuntu 16.10 KVM

Cisco Identity Services Engine Network Component Compatibility, Release 2.2 > Supported Virtual Environments

says KVM on RHEL 7.0 and Ubuntu 14.04 LTS is supported.

If it is not working for you on a Supported platform, please contact the Cisco TAC.

Beginner

Re: Cisco ISE 2.2 on Ubuntu 16.10 KVM

This worked for me:

Make sure the below requirement in satisfied if using a non-supported hypervisor:

Dmidecode utility reads from SMBIOS. If the "system-product" string does not contain “KVM”, the readUDI will be unable to determine the type of virtualization and 'validate_platform_info()' in ks.cfg will fail, displaying the following error message.

ERROR: UNSUPPORTED HARDWARE DETECTED!

Just make sure to have the 'KVM' string in the product field of SMBIOS info.

Cisco Identity Services Engine Installation Guide, Release 2.1 - Install ISE on a VMware Virtual Machine [Cisco Identi…

Beginner

Re: Cisco ISE 2.2 on Ubuntu 16.10 KVM

How exactly to you add that descriptor to SMBIOS? Running Ubuntu KVM Host........

Sorry - people smarter than I in our DEV  - in case anyone cares this worked for us Host: Ubuntu 18.04

virsh edit 'DOMAIN'.xml

"

<sysinfo type='smbios'>

    <system>

      <entry name='product'>KVM</entry>

    </system>

    <baseBoard>

      <entry name='product'>KVM</entry>

    </baseBoard>

  </sysinfo>

  <os>

    <type arch='x86_64' machine='pc-i440fx-bionic'>hvm</type>

    <smbios mode='sysinfo'/>

  </os>

"

Force validation if you get an error when saving - makes it through Cisco UID phase.

Beginner

Re: Cisco ISE 2.2 on Ubuntu 16.10 KVM